P3d v5 compatibility



  • The FSElite compatibility list has the Hawk marked as compatible and to re-run the installer. I've tried but unlike the other JF aircraft that are marked as compatible I don't get an option to select P3d v5.
    I purchased from PCAviator.com so do I need to wait until they post a new download? The download I can access right now unzips to Hawk_T1A_Tacpack_TP_201.

    I have absolutely no problem waiting, and I appreciate how quickly you've made some of your aircraft available for P3dv5. 🙂



  • Have P3d v5 compatible installers been sent to PCAviator?